VARKON Version 1.17 1999-10-29

> ## cur_splarr - Geometric procedure

> Creates a curve

> Description

> Creates a non rational cubic parametric segmented curve that interpolates two or more defining positions and optional tangents. This routine does the same job as cur_spline but takes its input in a format more sutiable for applications with large or varying number of defining positions. See cur_spline for more information.

> Syntax

> cur_splarr(id, type, npos, p, t:attributes);

> REF | id;
> STRING | type*4;
> INT | npos;
> VECTOR | p(npos);
> VECTOR | t(npos);

> Principal parameters

> id | - Local identity
> type | - The string "FERGUSON", "CHORD" or "STIFFNESS"
> npos | - Number of defining positions
> p | - Array with npos positions

> Optional parameters

> t | - Array with npos tangents.

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> CFONT | - Solid(0), dashed(1) or centerline(2)
> CDASHL | - Dashlength
> WIDTH | - Linewidth

> Comments

> If the optional array of tangents is supplied as input all npos elements of the array must have valid values. Avalue of X=Y=Z=0 imples "tangent not defined". Such tangents will be calculated (splined) by the system.

> For more details, see cur_spline().

VARKON Homepage | Index